Create customer funding source
Creates a bank account or debit card funding source for a customer. Supports multiple methods including manual entry with routing/account numbers, instant verification using existing open banking connections, debit card addition via Exchange, and virtual account numbers. Bank funding sources require verification before transfers can be initiated.
POST https://api-sandbox.dwolla.com/customers/AB443D36-3757-44C1-A1B4-29727FB3111C/funding-sources
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"routingNumber": "222222226",
"accountNumber": "123456789",
"bankAccountType": "checking",
"name": "Jane Doe's Checking"
}{
"code": "InactiveExchange",
"message": "The Exchange was removed or disabled."
}{
"code": "Forbidden",
"message": "Not authorized to create funding source."
}{
"code": "NotFound",
"message": "Customer ID not found. Check Customer ID."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
Customer's unique identifier
Body
Parameters for creating a funding source
- CreateCustomerBankFundingSourceWithAccountNumbers
- CreateCustomerBankFundingSourceWithPlaid
- CreateCustomerExchangeFundingSource
- CreateCustomerVirtualAccountFundingSource
- CreateCustomerCardFundingSourceWithExchange
Schema for creating a basic bank funding source using routing and account numbers. This is the traditional method of adding a bank account.
A bank routing number that identifies a bank or credit union in the U.S.
"222222226"
The bank account number
"123456789"
Type of bank account
checking, savings, general-ledger, loan "checking"
Arbitrary nickname for the funding source. Must be 50 characters or less.
"Jane Doe's Checking"
Use when creating an unverified bank account.
false false
An array containing a list of processing channels. ACH is the default processing channel for bank transfers.
wire Show child attributes
Show child attributes
Response
created
Was this page helpful?
POST https://api-sandbox.dwolla.com/customers/AB443D36-3757-44C1-A1B4-29727FB3111C/funding-sources
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"routingNumber": "222222226",
"accountNumber": "123456789",
"bankAccountType": "checking",
"name": "Jane Doe's Checking"
}{
"code": "InactiveExchange",
"message": "The Exchange was removed or disabled."
}{
"code": "Forbidden",
"message": "Not authorized to create funding source."
}{
"code": "NotFound",
"message": "Customer ID not found. Check Customer ID."
}